import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import readme from './readme.md';
import { InfoCardMultiContainerHeadingLevel } from './info-card-multi-container-heading-level.enum';
import { InfoCardHeadingLevel } from '../info-card/info-card-heading-level.enum';
import { InfoCardType } from '../info-card/info-card-type.enum';

<Meta title="Info Card/digi-info-card-multi-container" />

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is the standard info card multi container.

<Canvas>
  <Story name="Standard">
    /* html */
    {`
      <digi-info-card-multi-container>
        <digi-info-card
          af-heading="I am an info card with type multi"
          af-heading-level="${InfoCardHeadingLevel.H3}"
          af-type="${InfoCardType.MULTI}"
          af-link-text="I am a required link"
          af-link-href="#"
        >
          <p>These are just words to illustrate how it looks like with text inside. These are just words to illustrate how it looks like with text inside.</p>
        </digi-info-card>
        <digi-info-card
          af-heading="I am an info card with type multi"
          af-heading-level="${InfoCardHeadingLevel.H3}"
          af-type="${InfoCardType.MULTI}"
          af-link-text="I am a required link"
          af-link-href="#"
        >
          <p>These are just words to illustrate how it looks like with text inside. These are just words to illustrate how it looks like with text inside.</p>
        </digi-info-card>
        <digi-info-card
          af-heading="I am an info card with type multi"
          af-heading-level="${InfoCardHeadingLevel.H3}"
          af-type="${InfoCardType.MULTI}"
          af-link-text="I am a required link"
          af-link-href="#"
        >
          <p>These are just words to illustrate how it looks like with text inside. These are just words to illustrate how it looks like with text inside.</p>
        </digi-info-card>
    </digi-info-card-multi-container>
    `}
  </Story>
</Canvas>

## With Heading

The component can have an optional heading, in which case it also needs a heading level. Typescript users should import and use `InfoCardHeadingLevel` to set heading level (h1-h6).

<Canvas>
  <Story name="With Heading">
    /* html */
    {`
      <digi-info-card-multi-container
        af-heading="I am a multi container"
        af-heading-level="${InfoCardMultiContainerHeadingLevel.H2}"
      >
        <digi-info-card
          af-heading="I am an info card with type multi"
          af-heading-level="${InfoCardHeadingLevel.H3}"
          af-type="${InfoCardType.MULTI}"
          af-link-text="I am a required link"
          af-link-href="#"
        >
          <p>These are just words to illustrate how it looks like with text inside. These are just words to illustrate how it looks like with text inside.</p>
        </digi-info-card>
        <digi-info-card
          af-heading="I am an info card with type multi"
          af-heading-level="${InfoCardHeadingLevel.H3}"
          af-type="${InfoCardType.MULTI}"
          af-link-text="I am a required link"
          af-link-href="#"
        >
          <p>These are just words to illustrate how it looks like with text inside. These are just words to illustrate how it looks like with text inside.</p>
        </digi-info-card>
        <digi-info-card
          af-heading="I am an info card with type multi"
          af-heading-level="${InfoCardHeadingLevel.H3}"
          af-type="${InfoCardType.MULTI}"
          af-link-text="I am a required link"
          af-link-href="#"
        >
          <p>These are just words to illustrate how it looks like with text inside. These are just words to illustrate how it looks like with text inside.</p>
        </digi-info-card>
    </digi-info-card-multi-container>
    `}
  </Story>
</Canvas>
